<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LAppServerInfo StructType
 * @subpackage Structs
 */
class LAppServerInfo extends AbstractStructBase
{
    /**
     * The appServerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $appServerName;
    /**
     * The appServerContent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $appServerContent;
    /**
     * The content
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XContent
     */
    public $content;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LAppServerInfo
     * @uses LAppServerInfo::setAppServerName()
     * @uses LAppServerInfo::setAppServerContent()
     * @uses LAppServerInfo::setContent()
     * @uses LAppServerInfo::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName
     * @param string $appServerContent
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XContent $content
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName = null, $appServerContent = null, \\Losc\CucmBundle\Model\Webservice\StructType\XContent $content = null, $uuid = null)
    {
        $this
            ->setAppServerName($appServerName)
            ->setAppServerContent($appServerContent)
            ->setContent($content)
            ->setUuid($uuid);
    }
    /**
     * Get appServerName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getAppServerName()
    {
        return $this->appServerName;
    }
    /**
     * Set appServerName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAppServerInfo
     */
    public function setAppServerName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName = null)
    {
        $this->appServerName = $appServerName;
        return $this;
    }
    /**
     * Get appServerContent value
     * @return string|null
     */
    public function getAppServerContent()
    {
        return $this->appServerContent;
    }
    /**
     * Set appServerContent value
     * @param string $appServerContent
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAppServerInfo
     */
    public function setAppServerContent($appServerContent = null)
    {
        $this->appServerContent = $appServerContent;
        return $this;
    }
    /**
     * Get content value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XContent|null
     */
    public function getContent()
    {
        return $this->content;
    }
    /**
     * Set content value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XContent $content
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAppServerInfo
     */
    public function setContent(\\Losc\CucmBundle\Model\Webservice\StructType\XContent $content = null)
    {
        $this->content = $content;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LAppServerInfo
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
